#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget
tce-load -i aspell aspell-lib ncursesw-dev

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/dict/pt_BR/aspell6-pt_BR-20090702-0.tar.bz2
tar jxvf aspell6-pt_BR-20090702-0.tar.bz2

# tcz compile flags not needed its just a pack

cd aspell6-pt_BR-20090702-0
./configure --vars DESTDIR=/usr/local 
make -j3
make DESTDIR=/tmp/aspell-pt_BR install

cd /tmp
mksquashfs aspell-pt_BR aspell-pt_BR.tcz
md5sum aspell-pt_BR.tcz > aspell-pt_BR.tcz.md5.txt
cd aspell-pt_BR
find usr -not -type d > aspell-pt_BR.tcz.list
mv -f aspell-pt_BR.tcz.list /tmp

# complete

cd /tmp
submitqc4